Logica

## Class Meses

- java.lang.Object
- - Logica.Meses

    public class Meses
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Meses()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Gestion` `aniadirGestion(java.lang.String nombre, int anio, java.time.Month mes, boolean isPositivo)` Aniade una gestion vacia a la lista de meses
`void` `aniadirTransaccion(Transaccion transaccion, java.lang.String nombre, boolean isPositivo)` Aniade una transaccion y la coloca en el mes y gestion que le corresponde, creandolos si no existen todavia
`void` `cargarMeses(java.lang.String nombre)` Carga los datos que hemos guardado en el fichero de persistencia
`void` `elegirMes(int anio, java.time.Month mes)` Define el mes en que nos encontramos a la hora de devolver objetos
`void` `exportarXML()` Exporta todos un esquema de toda la estructura de datos a un xml almacenado en la carpeta donde nos encontramos.
`java.util.ArrayList<Gestion>` `getGestionesActuales()` Devuelve la lista de gestiones en la que nos encontramos
`java.lang.String` `getNombre()` Devuelve el nombre del mes e el que nos encontramos
`float` `getTotal()` devuelve el dinero que nos queda este mes (o el que debemos)
`void` `guardarMeses(java.lang.String nombre)` guarda las gestiones que hemos introducido en un fichero para garantizar la persistencia de los datos
`void` `importarXML()` Importa el xml cogiendolo de la ruta donde se guarda por defecto
`void` `importarXML(java.lang.String nombreFichero)` Importa un xml de la ruta donde le indiquemos
`java.util.Vector<java.lang.String>` `salidaTodo()` devuelve todas las transacciones del mes actual

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Meses

    public Meses()

### Method Detail

#### aniadirGestion

    public Gestion aniadirGestion(java.lang.String nombre,
                                  int anio,
                                  java.time.Month mes,
                                  boolean isPositivo)

Aniade una gestion vacia a la lista de meses

Parameters:
  `nombre` - nombre de la gestion
  `anio` - anio de la gestion
  `mes` - mes de la transaccion
  `isPositivo` - tipo de la gestion
Returns:
  Devuelve la gestion que se a aniadido

#### aniadirTransaccion

    public void aniadirTransaccion(Transaccion transaccion,
                                   java.lang.String nombre,
                                   boolean isPositivo)

Aniade una transaccion y la coloca en el mes y gestion que le corresponde, creandolos si no existen todavia

Parameters:
  `transaccion` - transaccion a aniadir
  `nombre` - nombre de la gestion a la que pertenece
  `isPositivo` - tipo de gestion a la que pertenece

#### elegirMes

    public void elegirMes(int anio,
                          java.time.Month mes)

Define el mes en que nos encontramos a la hora de devolver objetos

Parameters:
  `anio` - anio en el que queremos situarnos
  `mes` - mes en el que queremos situarnos

#### getGestionesActuales

    public java.util.ArrayList<Gestion> getGestionesActuales()

Devuelve la lista de gestiones en la que nos encontramos

Returns:
  Lista de gestiones en la que nos encontramos

#### getTotal

    public float getTotal()

devuelve el dinero que nos queda este mes (o el que debemos)

Returns:
  dinero que nos queda o debemos este mes

#### guardarMeses

    public void guardarMeses(java.lang.String nombre)
                      throws java.io.IOException

guarda las gestiones que hemos introducido en un fichero para garantizar la persistencia de los datos

Parameters:
  `nombre` - nombre del fichero donde se guardaran los datos
Throws:
  `java.io.IOException`

#### cargarMeses

    public void cargarMeses(java.lang.String nombre)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

Carga los datos que hemos guardado en el fichero de persistencia

Parameters:
  `nombre` - nombre del fichero
Throws:
  `java.io.IOException`
  `java.lang.ClassNotFoundException`

#### salidaTodo

    public java.util.Vector<java.lang.String> salidaTodo()

devuelve todas las transacciones del mes actual

Returns:
  transacciones del mes actual

#### exportarXML

    public void exportarXML()

Exporta todos un esquema de toda la estructura de datos a un xml almacenado en la carpeta donde nos encontramos. El fichero se llamara gestiones.xml

#### importarXML

    public void importarXML()

Importa el xml cogiendolo de la ruta donde se guarda por defecto

#### importarXML

    public void importarXML(java.lang.String nombreFichero)

Importa un xml de la ruta donde le indiquemos

Parameters:
  `nombreFichero` - Nombre del fichero donde esta el xml a cargar

#### getNombre

    public java.lang.String getNombre()

Devuelve el nombre del mes e el que nos encontramos

Returns:
  Nombre del mes en el que nos encontramos